Skip to content

Rates for target

GET
/reference-data/fx/{currency}
curl --request GET \
--url https://api.wink.travel/reference-data/fx/THB \
--header 'Authorization: Bearer <token>' \
--header 'Wink-Version: 2.0'

Returns exchange-rate quotes from the given target currency to every supported source currency.

currency
required
string
""

ISO 4217 target currency code

Example
THB
Wink-Version
string
default: 2.0.0
Allowed values: 2.0

Exchange-rate quotes from the target currency to all supported source currencies

Media type application/json
Array<object>

Lightweight representation of an exchange rate quote between a source and target currency pair

object
source
required

ISO 4217 source currency code

string
"" >= 1 characters
target
required

ISO 4217 target currency code

string
"" >= 1 characters
exchangeRate
required

Exchange rate from source to target currency

number
""
timestamp
required

Unix epoch milliseconds when the quote was recorded

integer format: int64
""
Example
[
{
"source": "USD",
"target": "THB",
"exchangeRate": 33.5,
"timestamp": 1705233000000
}
]

Bad Request — missing or invalid request parameter or body

Media type application/problem+json
object
type
string format: uri
title
string
status
integer format: int32
detail
string
instance
string format: uri
properties
object
key
additional properties
key
additional properties
""
Example

Unauthorized — authentication is required or the session has expired

Media type application/problem+json
object
type
string format: uri
title
string
status
integer format: int32
detail
string
instance
string format: uri
properties
object
key
additional properties
key
additional properties
""
Example

Forbidden — authenticated but lacking the required permission or scope

Media type application/problem+json
object
type
string format: uri
title
string
status
integer format: int32
detail
string
instance
string format: uri
properties
object
key
additional properties
key
additional properties
""
Example

Not Found — the requested resource does not exist

Media type application/problem+json
object
type
string format: uri
title
string
status
integer format: int32
detail
string
instance
string format: uri
properties
object
key
additional properties
key
additional properties
""
Example

Method Not Allowed — the HTTP verb is not supported on this endpoint

Media type application/problem+json
object
type
string format: uri
title
string
status
integer format: int32
detail
string
instance
string format: uri
properties
object
key
additional properties
key
additional properties
""
Example

Unsupported Media Type — use application/json

Media type application/problem+json
object
type
string format: uri
title
string
status
integer format: int32
detail
string
instance
string format: uri
properties
object
key
additional properties
key
additional properties
""
Example

Internal Server Error — an unexpected failure occurred on the server

Media type application/problem+json
object
type
string format: uri
title
string
status
integer format: int32
detail
string
instance
string format: uri
properties
object
key
additional properties
key
additional properties
""
Example

Service Unavailable — a downstream dependency is unreachable

Media type application/problem+json
object
type
string format: uri
title
string
status
integer format: int32
detail
string
instance
string format: uri
properties
object
key
additional properties
key
additional properties
""
Example